(function(){
 var a= {
  exec:function(editor){
   editor.insertHtml( '[read_more]' );
  }
 },

 b="readmore";
 CKEDITOR.plugins.add(b,{
  init:function(editor){
   editor.addCommand(b,a);
   editor.ui.addButton("readmore",{
    label:"Insert Readmore Tag",
    icon: this.path + "Pictures.png",
    command:b
   });
  }
 });
})();
